Bug 260641 - TV-out not working with ATI Radeon X700
TV-out not working with ATI Radeon X700
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
All All
medium Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-28 12:00 EDT by Daniel Qarras
Modified: 2009-09-09 03:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-29 13:42:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
X log without xorg.conf (57.76 KB, text/plain)
2007-08-28 14:17 EDT, Daniel Qarras
no flags Details
X configuration (794 bytes, application/octet-stream)
2007-08-28 14:18 EDT, Daniel Qarras
no flags Details
X log with xorg.conf (55.49 KB, text/plain)
2007-08-28 14:19 EDT, Daniel Qarras
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 12007 None None None Never

  None (edit)
Description Daniel Qarras 2007-08-28 12:00:11 EDT
Description of problem:
My laptop has ATI Mobility Radeon X700 with a tvout connector. It works
perfectly under WinXP but under Fedora 7 I get nothing shown on my TV.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Plug cables
2. Boot the machine
3. Start X
Actual results:
No output on TV.

Expected results:
Output on TV.

Additional info:
I am willing to test any patches/configs to help with this one.
Comment 1 Matěj Cepl 2007-08-28 12:56:15 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Daniel Qarras 2007-08-28 14:17:29 EDT
Created attachment 177161 [details]
X log without xorg.conf

Without xorg.conf my system hangs completely and I need to power cycle the
machine. And no TV output either.
Comment 3 Daniel Qarras 2007-08-28 14:18:44 EDT
Created attachment 177181 [details]
X configuration

This configuration was created automatically by system-config-display.
Comment 4 Daniel Qarras 2007-08-28 14:19:38 EDT
Created attachment 177201 [details]
X log with xorg.conf
Comment 5 Dave Airlie 2007-08-28 21:08:28 EDT
tv-out support is pretty experimental so far, so I'll see what I can figure out
Comment 6 Daniel Qarras 2007-08-29 11:29:37 EDT
Thanks for looking into this. I noticed the experimental state of tv-out support
but just wanted to make this bug for reporting how it works.
Comment 7 Daniel Qarras 2007-08-31 15:43:24 EDT
Actually there's an upstream bug report so I think this one can be closed.

Comment 8 Matěj Cepl 2007-10-29 13:42:31 EDT
I agree, this should be resolved upstream first. We will continue to track the
issue in the centralized upstream bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Thank you for the bug report.
Comment 9 bernard.godard 2009-09-09 03:04:50 EDT
The upstream bug mentioned is not the same : it is about garbled TV output.

With mobility x700 (I have one too), there is no TV-output at all. The driver doesn't even know about TV-output according to xrandr:
xrandr -q
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 4096 x 4096
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
  1280x800       60.0*+
  1024x768       60.0
  800x600        60.3     56.2
  640x480        59.9

The laptop hardware is the same  (different brand though) as the one
in this bug report :
https://bugzilla.redhat.com/show_bug.cgi?id=503755  (corrected in
latest rawhide)
My graphics card has exactly the same video bios rom as the one
attached in the report in

I have DRI2 and KMS working.

I would like to report this bug upstream, but where should I report it
(kernel (KMS), xorg...)?

Note You need to log in before you can comment on or make changes to this bug.